Update Tier
curl --request PUT \
--url https://api.sellauth.com/v1/shops/{shopId}/affiliate-tiers/{tierId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "pasyzwszwtxpeqq",
"percentage": 9,
"discount_percentage": 10,
"is_public": false,
"sort_order": 12,
"attribution_mode": "lifetime_first",
"attribution_window_days": 14
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/affiliate-tiers/{tierId}"
payload = {
"name": "pasyzwszwtxpeqq",
"percentage": 9,
"discount_percentage": 10,
"is_public": False,
"sort_order": 12,
"attribution_mode": "lifetime_first",
"attribution_window_days": 14
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'pasyzwszwtxpeqq',
percentage: 9,
discount_percentage: 10,
is_public: false,
sort_order: 12,
attribution_mode: 'lifetime_first',
attribution_window_days: 14
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/affiliate-tiers/{tierId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Affiliate Tiers
Update Tier
PUT
/
v1
/
shops
/
{shopId}
/
affiliate-tiers
/
{tierId}
Update Tier
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Body
application/json
Must not be greater than 100 characters.
Example:
"pasyzwszwtxpeqq"
Must be at least 0. Must not be greater than 100.
Example:
9
Must be at least 0. Must not be greater than 100.
Example:
10
Example:
false
Must be at least 0. Must not be greater than 1000.
Example:
12
Overrides the shop attribution mode for this tier's affiliates: per_order, lifetime_last or lifetime_first. Null inherits the shop setting.
Example:
"lifetime_first"
Overrides the shop attribution window (1-999 days) for links using this tier's codes. Null inherits the shop setting.
Example:
14
Response
200 - undefined